#ifndef MYAUDIO_H
#define MYAUDIO_H

#include <QDebug>

#include <QObject>
#include <QList>
#include <QAudioDeviceInfo>
#include <QAudioFormat>
#include <QAudioInput>
#include <QAudioOutput>
#include <QIODevice>
#include <QTimer>


class MyAudio : public QObject
{
    Q_OBJECT

private:
    int m_iFreq;

    QAudioFormat m_Aformat;
    QList<QAudioDeviceInfo> m_DevlistIn;
    QList<QAudioDeviceInfo> m_DevlistOut;

    QAudioInput  * m_pAudioIn;
    QAudioOutput * m_pAudioOut;

    QIODevice * m_pBufDev;
    QTimer m_OutTmr;

    void GetAudioDev();
    void SetFormat();
    void SetAudioInput();
    void SetAudioOutput();

public:
    explicit MyAudio(QObject *parent = 0, int freq = 44100);

signals:

private slots:
    void StartOutput();

public slots:

};

#endif // MYAUDIO_H
